### Method

# Gck Slot open_session

#### Declaration [src]

    GckSession*
    gck_slot_open_session (
      GckSlot* self,
      GckSessionOptions options,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

This call may block for an indefinite period.

#### Parameters

`options` | `GckSessionOptions`
| The `GckSessionOptions` to open a session with.
`cancellable` | `GCancellable`
| An optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckSession`
| A new session or `NULL` if an error occurs.
| The caller of the method takes ownership of the data, and is responsible for freeing it.